Groovy 1.7.10

## org.codehaus.groovy.control.io
[Java] Class NullWriter

    java.lang.Object
      java.io.Writer
          org.codehaus.groovy.control.io.NullWriter

    public class NullWriter
    extends Writer

An Writer than eats its input.

Authors:
  Chris Poirier

Version:
  \$Id: NullWriter.java 6778 2007-07-02 10:40:33Z glaforge \$

Field Summary
`static NullWriter` | `DEFAULT`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] cbuf, int off, int len)`

Methods inherited from class Writer
append, append, append, append, append, append, write, write, write, write, write, close, flush, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### DEFAULT

    public static final NullWriter DEFAULT

Method Detail

### close

    public void close()

### flush

    public void flush()

### write

    public void write(char[] cbuf, int off, int len)

Copyright © 2003-2010 The Codehaus. All rights reserved.